中危 libtiff 3.8.2 LZWDecodeCompat 内存破坏漏洞

CVE编号

CVE-2009-2285

利用情况

暂无

补丁情况

官方补丁

披露时间

2009-07-02
漏洞描述
libtiff 3.8.2中的LZWDecodeCompat函数中的缓冲区下溢允许依赖于上下文的攻击者通过精心设计的TIFF图像导致拒绝服务(崩溃),这是一个与CVE-2008-2327不同的漏洞。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://bugzilla.maptools.org/show_bug.cgi?id=2065
http://lists.apple.com/archives/security-announce/2009/Nov/msg00000.html
http://lists.apple.com/archives/security-announce/2010//Mar/msg00003.html
http://lists.apple.com/archives/security-announce/2010/Feb/msg00000.html
http://lists.apple.com/archives/security-announce/2010/Jan/msg00000.html
http://lists.apple.com/archives/security-announce/2010/Mar/msg00000.html
http://secunia.com/advisories/35695
http://secunia.com/advisories/35716
http://secunia.com/advisories/35866
http://secunia.com/advisories/35883
http://secunia.com/advisories/35912
http://secunia.com/advisories/36194
http://secunia.com/advisories/36831
http://secunia.com/advisories/38241
http://secunia.com/advisories/39135
http://security.gentoo.org/glsa/glsa-200908-03.xml
http://sunsolve.sun.com/search/document.do?assetkey=1-66-267808-1
http://support.apple.com/kb/HT3937
http://support.apple.com/kb/HT4004
http://support.apple.com/kb/HT4013
http://support.apple.com/kb/HT4070
http://support.apple.com/kb/HT4105
http://www.debian.org/security/2009/dsa-1835
http://www.lan.st/showthread.php?t=1856&page=3
http://www.openwall.com/lists/oss-security/2009/06/22/1
http://www.openwall.com/lists/oss-security/2009/06/23/1
http://www.openwall.com/lists/oss-security/2009/06/29/5
http://www.redhat.com/support/errata/RHSA-2009-1159.html
http://www.vupen.com/english/advisories/2009/1637
http://www.vupen.com/english/advisories/2009/2727
http://www.vupen.com/english/advisories/2009/3184
http://www.vupen.com/english/advisories/2010/0173
https://bugs.launchpad.net/ubuntu/+source/tiff/+bug/380149
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://usn.ubuntu.com/797-1/
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00142.html
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00161.html
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00230.html
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00655.html
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00714.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libtiff libtiff 3.8.2 -
运行在以下环境
系统 centos_5 tiff * Up to
(excluding)
3.8.2-7.el5_3.4
运行在以下环境
系统 debian_4.0 tiff * Up to
(excluding)
3.8.2-7+etch3
运行在以下环境
系统 debian_5.0 tiff * Up to
(excluding)
3.8.2-11.2
运行在以下环境
系统 oracle_5 tiff * Up to
(excluding)
3.8.2-7.el5_3.4
运行在以下环境
系统 redhat_5 libtiff * Up to
(excluding)
0:3.6.1-12.el4_8.4
运行在以下环境
系统 redhat_6 thunderbird * Up to
(excluding)
0:1.5.0.12-36.el4
运行在以下环境
系统 suse_12 libtiff5 * Up to
(excluding)
4.0.3-9
阿里云评分
5.3
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况